# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize gcc-c++ pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
Name:	gdmap
Version:	0.8.1
Release:	alt1_16
Summary:	A tool which allows to visualize disk space

Group:	File tools
# No version specified.
License:	GPL+
URL:	http://gdmap.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.8.1-desktop.patch
Patch1:		%{name}-0.8.1-deprecated-sensitive.patch
Patch2:		%{name}-0.8.1-deprecated-focus.patch

BuildRequires:  gtk2-devel libxml2-devel desktop-file-utils gettext intltool
Source44: import.info

%description
GdMap is a tool which allows you to visualize disk space with one single
picture. To display directory structures, cushion treemaps are used to
visualize a complete folder or even the whole hard drive with one picture.

%prep
%setup -q
%patch0 -p1
%patch1 -p2
%patch2 -p2

%build
LDFLAGS="$RPM_LD_FLAGS -lm" %configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT


desktop-file-install --delete-original \
	--add-category System \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang GdMap

%files -f GdMap.lang
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/pixmaps/%{name}*
%{_datadir}/pixmaps/%{name}*
%{_mandir}/man1/*


%changelog
* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_16
- update to new release by fcimport

* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_15
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_14
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_13
- initial fc import

* Wed Jul 29 2009 Michael Shigorin <mike@altlinux.org> 0.8.1-alt1
- 0.8.1
- applied repocop patch
- added reference to filelight
- minor spec cleanup
- buildreq

* Fri Nov 02 2007 Alex V. Myltsev <avm@altlinux.ru> 0.7.5-alt2
- Remove the broken (and unused) GtkTooltips code.

* Wed Nov 01 2006 Alex V. Myltsev <avm@altlinux.ru> 0.7.5-alt1
- Imported 0.7.5: new features (color editor, B/W mode, smoother redraws).
- Patched gdmap to handle files with holes.

* Thu Dec 01 2005 Michael Shigorin <mike@altlinux.org> 0.7.0-alt1
- built for ALT Linux
- thanks Alexei V. Mezin for a reminder

